@import "variables";
@import "mixins";

html {
  @include box-sizing(border-box);
}
*,
*:after,
*:before {
  @include box-sizing(inherit);
}

body {
  margin: 0;
  font-family: $fuentePrincipal;
  color: $color_texto_primario;
}

ul {
  padding: 0;
  margin: 0;
  list-style: none;
}

button {
  border: none;

  &:focus {
    outline: none;
  }
}

img {
  max-width: 100%;
  height: auto;
}

.nav-items-mobile {
  display: flex;
  justify-content: space-between;
  background-color: $color_background_nav;
  padding: 15px 12px;

  i {
    color: $color_blanco;
    font-size: 25px;
  }

  @include mobile {
    display: none;
  }
}

.nav-items-desktop {
  display: none;

  @include mobile {
    display: block;
    background-color: $color_background_nav;
    padding: 15px 12px;
  }

  @include tablet {
    padding: 15px 120px;
  }
}

.nav-banner {
  padding: 0 15px;

  p {
    text-align: center;
    font-size: 13px;
  }

  a {
    color: $color_links;
    text-decoration: none;
  }

  @include mobile {
    display: flex;
    justify-content: center;

    p {
      max-width: 60%;
    }
  }
}

.img-container {
  margin: 10px 0;
  height: 548px;
  background-image: linear-gradient(rgba(0, 0, 0, 0.8), rgba(0, 0, 0, 0.8)),
    url("../img/iphone.jpg");
  background-position: center;
  background-repeat: no-repeat;
  background-size: cover;
  position: relative;

  &:first-of-type {
    margin-top: 0;
  }
}

.text-container {
  position: absolute;
  right: 0;
  left: 0;
  text-align: center;

  h2 {
    color: $color_blanco;
  }
  p {
    color: $color_blanco;
  }
  p {
    &:nth-child(4) {
      font-size: 12px;
      color: $color_texto_foto;
    }
  }

  div {
    display: flex;
    justify-content: space-evenly;
  }

  span {
    color: $color_links;
  }

  @include tablet {
    div {
      justify-content: center;
    }

    div span {
      padding: 0 10px;
    }
  }
}

footer {
  background-color: $color_background_footer;
}

.info-footer {
  padding: 15px 12px 0;
  font-size: 13px;
  color: $color_bordes;
  margin-bottom: 15px;
  p {
    &:last-child {
      padding-bottom: 15px;
      border-bottom: 1px solid $color_bordes;
    }
  }
}

.menu-footer {
  padding: 15px 12px;
}

.menu-footer__mobile-list {
  li {
    display: flex;
    justify-content: space-between;
    font-size: 14px;
    border-bottom: 1px solid $color_bordes;
    padding: 12px 0;
  }
}

.menu-footer__list-container {
  display: none;
}

.data-footer {
  padding: 0 12px;
  font-size: 13px;

  i {
    margin-right: 5px;
    color: red;
  }
}

.policy {
  padding: 0 12px 15px;
  font-size: 13px;
}

.policy__list {
  display: flex;
  flex-wrap: wrap;

  li {
    flex: 0 0 50%;
    padding: 5px 0;

    &:after {
      content: "|";
      padding: 0 10px;
      color: $color_bordes;
    }
  }
}

@include mobile {
  .nav-items-desktop__list {
    display: flex;
    justify-content: space-around;
    color: $color_blanco;
  }

  .display-desktop {
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    .img-container {
      &:first-of-type {
        margin-top: 10px;
      }
      flex: 0 0 48%;
      &:nth-child(odd) {
        margin-right: 5px;
      }
      &:nth-child(even) {
        margin-left: 5px;
      }
    }
  }

  .menu-footer__mobile-list {
    display: none;
  }

  .menu-footer__list-container {
    display: flex;
    justify-content: flex-start;
  }

  .menu-footer__desktop-list {
    margin-right: 15px;
    li {
      padding: 5px 0;
      font-size: 13px;
    }
    span {
      font-weight: bold;
      font-size: 13px;
    }
  }

  .data-footer__desktop-info {
    display: flex;
    flex-direction: row-reverse;
    justify-content: space-between;
    border-top: 1px solid $color_bordes;
  }

  .policy__list {
    li {
      flex: none;
    }
  }
}

@include tablet {
  .display-desktop .img-container {
    height: 350px;
  }

  .info-footer,
  .menu-footer,
  .data-footer,
  .policy {
    width: 60%;
    max-width: 1200px;
    margin: 0 auto;
  }
}
